[GRASS-SVN] r43385 - in grass/branches/releasebranch_6_4/scripts:
db.out.ogr r.fillnulls
svn_grass at osgeo.org
svn_grass at osgeo.org
Wed Sep 1 09:04:26 EDT 2010
Author: neteler
Date: 2010-09-01 13:04:26 +0000 (Wed, 01 Sep 2010)
New Revision: 43385
Modified:
grass/branches/releasebranch_6_4/scripts/db.out.ogr/db.out.ogr
grass/branches/releasebranch_6_4/scripts/r.fillnulls/r.fillnulls
Log:
reverted accidential submission
Modified: grass/branches/releasebranch_6_4/scripts/db.out.ogr/db.out.ogr
===================================================================
--- grass/branches/releasebranch_6_4/scripts/db.out.ogr/db.out.ogr 2010-09-01 13:04:23 UTC (rev 43384)
+++ grass/branches/releasebranch_6_4/scripts/db.out.ogr/db.out.ogr 2010-09-01 13:04:26 UTC (rev 43385)
@@ -1,4 +1,4 @@
-#!/bin/sh -x
+#!/bin/sh
############################################################################
#
@@ -101,10 +101,7 @@
v.out.ogr --q $GIS_OPT_INPUT dsn="$GIS_OPT_DSN" $OLAYER format=$GIS_OPT_FORMAT type=point
if [ $? -ne 0 ] ; then
- g.message -w "Trying ogr2ogr on table"
- database="`db.connect -p | grep \"^database\" | cut -d':' -f2`"
- echo $database
- ogr2ogr -f "$GIS_OPT_FORMAT" "$GIS_OPT_DSN" "$database" `basename $GIS_OPT_DSN`
+ exit 1
fi
if [ "$GIS_OPT_FORMAT" = "ESRI_Shapefile" ] ; then
Modified: grass/branches/releasebranch_6_4/scripts/r.fillnulls/r.fillnulls
===================================================================
--- grass/branches/releasebranch_6_4/scripts/r.fillnulls/r.fillnulls 2010-09-01 13:04:23 UTC (rev 43384)
+++ grass/branches/releasebranch_6_4/scripts/r.fillnulls/r.fillnulls 2010-09-01 13:04:26 UTC (rev 43385)
@@ -207,21 +207,19 @@
if test -f $LOCATION/cell/$USERMASK
then
g.message "Using user mask while interpolating"
-# RST_CMD="v.surf.rst zcol=value tension=$GIS_OPT_TENSION smooth=$GIS_OPT_SMOOTH maskmap=$USERMASK"
- RST_CMD="v.surf.bspline colum=value layer=1 sie=800 sin=800 lambda_i=1 method=bicubic"
+ RST_CMD="v.surf.rst zcol=value tension=$GIS_OPT_TENSION smooth=$GIS_OPT_SMOOTH maskmap=$USERMASK"
else
-# RST_CMD="v.surf.rst zcol=value tension=$GIS_OPT_TENSION smooth=$GIS_OPT_SMOOTH"
- RST_CMD="v.surf.bspline colum=value layer=1 sie=800 sin=800 lambda_i=1 method=bicubic"
+ RST_CMD="v.surf.rst zcol=value tension=$GIS_OPT_TENSION smooth=$GIS_OPT_SMOOTH"
fi
SEGMAX=600
if [ $POINTSNUMBER -ge $SEGMAX ] ; then
g.message "Using segmentation for interpolation..."
- $RST_CMD input=${VECTTMP} raster=${TMP1}_filled #2> /dev/null
+ $RST_CMD input=${VECTTMP} elev=${TMP1}_filled #2> /dev/null
else
#if less than $SEGMAX points, use no segmentation for speedup:
g.message "Using no segmentation for interpolation as not needed..."
- $RST_CMD input=${VECTTMP} raster=${TMP1}_filled #segmax=$SEGMAX #2> /dev/null
+ $RST_CMD input=${VECTTMP} elev=${TMP1}_filled segmax=$SEGMAX #2> /dev/null
fi
g.message "Note: Above warnings may be ignored."
More information about the grass-commit
mailing list